> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/windows-device-groups/inbound-port.md).

# Inbound Port

## Get

> Retrieve a Windows device group's Inbound ports by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/WinDeviceGroup/{id}/InboundPort":{"get":{"tags":["2-Site settings/Windows Device Groups//Inbound Ports"],"summary":"Get","description":"Retrieve a Windows device group's Inbound ports by ID.","operationId":"1b59d51e-cd6c-40ab-80dc-b590a3c23f63","parameters":[{"name":"id","in":"path","description":"Windows device group Id","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WinDeviceGroupInboundPort"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"WinDeviceGroupInboundPort":{"type":"object","properties":{"port":{"type":"integer","description":"<para type=\"description\">Port number.</para>","format":"int32"},"protocol":{"$ref":"#/components/schemas/Protocol"},"profile":{"$ref":"#/components/schemas/Profile"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Windows device group - Inbound port</para>\r\n<para type=\"description\"></para>"},"Protocol":{"enum":[["0 = TCP","1 = UDP"]],"type":"string","description":"<para type=\"synopsis\">Connection Protocol type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Profile":{"enum":[["1 = Domain","2 = Private","4 = Public","2147483647 = All"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Profile Setting.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add an Inbound port to a Windows device group by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/WinDeviceGroup/{id}/InboundPort":{"post":{"tags":["2-Site settings/Windows Device Groups//Inbound Ports"],"summary":"Add","description":"Add an Inbound port to a Windows device group by ID.","operationId":"098072ac-fe8a-4ff2-8084-3173536f4510","parameters":[{"name":"id","in":"path","description":"Windows device group Id","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Windows device group Inbound port settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddWinDeviceGroupInboundPort"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddWinDeviceGroupInboundPort":{"required":["port","profile","protocol"],"type":"object","properties":{"port":{"type":"integer","description":"<para type=\"description\">The Port to add to the windows device group.</para>","format":"int32"},"protocol":{"$ref":"#/components/schemas/Protocol"},"profile":{"$ref":"#/components/schemas/Profile"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add an Inbound Port to a Windows Device Group</para>\r\n<para type=\"description\"></para>"},"Protocol":{"enum":[["0 = TCP","1 = UDP"]],"type":"string","description":"<para type=\"synopsis\">Connection Protocol type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Profile":{"enum":[["1 = Domain","2 = Private","4 = Public","2147483647 = All"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Profile Setting.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove an Inbound port from a Windows device group by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/WinDeviceGroup/{id}/InboundPort":{"delete":{"tags":["2-Site settings/Windows Device Groups//Inbound Ports"],"summary":"Remove","description":"Remove an Inbound port from a Windows device group by ID.","operationId":"c4784ffd-2b26-4c70-ad5b-e622e2fffd8a","parameters":[{"name":"id","in":"path","description":"Windows device group Id","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Windows device group Inbound port settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveWinDeviceGroupInboundPort"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveWinDeviceGroupInboundPort":{"required":["port","profile","protocol"],"type":"object","properties":{"port":{"type":"integer","description":"<para type=\"description\">The Port of the Windows Device Group to remove.</para>","format":"int32"},"protocol":{"$ref":"#/components/schemas/Protocol"},"profile":{"$ref":"#/components/schemas/Profile"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove an Inbound Port from a Windows Device Group</para>\r\n<para type=\"description\"></para>"},"Protocol":{"enum":[["0 = TCP","1 = UDP"]],"type":"string","description":"<para type=\"synopsis\">Connection Protocol type.</para>\r\n<para type=\"description\"></para>","format":"int32"},"Profile":{"enum":[["1 = Domain","2 = Private","4 = Public","2147483647 = All"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Profile Setting.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/windows-device-groups/inbound-port.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
